%define upstream_name    Plack-Test-AnyEvent
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Run Plack::Test on AnyEvent-based PSGI applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(Carp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Message::PSGI)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Plack)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch
# Private requires:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Plack::Test::AnyEvent::Response\\)

%description
This L<Plack::Test> implementation allows you to easily test your
L<AnyEvent>-based PSGI applications. Normally, L<Plack::Test::MockHTTP> or
L<Plack::Test::Server> work fine for this, but this implementation comes in
handy when you'd like to test your streaming results as they come in, or if
your application uses long-polling. For non-streaming requests, you can use
this module exactly like Plack::Test::MockHTTP; otherwise, you can set up a
content handler and call C<$res-E<gt>recv>. The event loop will then run
until the PSGI application closes its writer handle or until your test
client calls C<send> on the response.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.80.0-5.mga9
+ Revision: 1830762
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-4.mga8
+ Revision: 1506021
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-3.mga7
+ Revision: 1285736
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.80.0-2.mga7
+ Revision: 1166257
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.80.0-1.mga7
+ Revision: 1159605
- BR Test::Exception
- update to 0.08

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-4.mga6
+ Revision: 1032216
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.60.0-3.mga6
+ Revision: 971852
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.60.0-2.mga6
+ Revision: 893430
- rebuild with fixed deps

* Sun Jun 28 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 846799
- update to 0.06

* Thu Nov 06 2014 tv <tv> 0.50.0-4.mga5
+ Revision: 795929
- add requires exclude

* Sat Oct 25 2014 umeabot <umeabot> 0.50.0-3.mga5
+ Revision: 793298
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.50.0-1.mga5
+ Revision: 581288
- New version 0.05

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 525689
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 shlomif <shlomif> 0.40.0-1.mga4
+ Revision: 434135
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 371890
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 shlomif <shlomif> 0.30.0-1.mga3
+ Revision: 269508
- imported package perl-Plack-Test-AnyEvent


* Wed Jul 11 2012 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
